package com.ydl.ydlcommon.mvp.base

import androidx.annotation.UiThread

/**
 * Created by haorui on 2019-08-14.
 * Des: Presenter 接口类，所有Presenter必须实现
 */
interface IPresenter< V : IView> {

    @UiThread
    fun attachView(view: V)

    @UiThread
    fun detachView()

    @UiThread
    fun destroy()

}
